#!/bin/sh

CURRENTDIR="$(dirname "$(readlink -f "$0")")"
MACHINE="$(uname -m)"

ARCH="x86"

if [ "$MACHINE" = "x86_64" ] || [ "$MACHINE" = "amd64" ] ; then
	ARCH="x86_64"
fi

EXE="$CURRENTDIR/NoMariosSky.$ARCH"

echo Running $ARCH from $EXE..
exec "$EXE" "$@"
